MPI_KMEANS(1)

NAME
mpi_kmeans - K-Means clustering tool

SYNOPSIS
mpi_kmeans [options]

DESCRIPTION
mpi_kmeans is a program that uses k-means clustering to produce a list of cluster centers. The resulting data can be used by mpi_assign(1) to assign points to those cluster centers.

OPTIONS
A summary of options is included below.

  Generic Options:

--help
    Produce help message

  Input/Output Options:

--data file
    Training file, one datum per line (default: "data.txt")

--output file
    Output file, one cluster center per line (default: "output.txt")

  K-Means Options:

--k num
    Number of clusters to generate (default: 100)

--restarts num
    Number of k-means restarts (default: 0 = single run)

--maxiter num
    Maximum number of k-means iterations (default: 0 = infinity)

EXAMPLES

    mpi_kmeans --k 2 --data example.txt --output clusters.txt

SEE ALSO
mpi_assign(1)

AUTHOR
mpi_kmeans was written by Peter Gehler <peter.gehler@tuebingen.mpg.de>.

This manual page was written by Christian Kastner <ckk@debian.org> for the Debian project (and may be used by others).